## org.apache.mahout.common.parameters
Class CompositeParameter<T extends Parametered>

    java.lang.Object
      org.apache.mahout.common.parameters.AbstractParameter<T>
          org.apache.mahout.common.parameters.CompositeParameter<T>

All Implemented Interfaces:
  Parameter<T>, Parametered

    public class CompositeParameter<T extends Parametered>

extends AbstractParameter<T>

A placeholder for some sort of class with more parameters.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mahout.common.parameters.Parametered
`Parametered.ParameteredGeneralizations`

Field Summary

Fields inherited from interface org.apache.mahout.common.parameters.Parametered
`log`

Constructor Summary
`CompositeParameter(java.lang.Class<T> type, java.lang.String prefix, java.lang.String name, org.apache.hadoop.conf.Configuration jobConf, T defaultValue, java.lang.String description)`

Method Summary
`void` `configure(org.apache.hadoop.conf.Configuration jobConf)`
`void` `createParameters(java.lang.String prefix, org.apache.hadoop.conf.Configuration jobConf)` EXPERT: consumers should never have to call this method.
`java.util.Collection<Parameter<?>>` `getParameters()`
`java.lang.String` `getStringValue()`
`void` `setStringValue(java.lang.String className)`

Methods inherited from class org.apache.mahout.common.parameters.AbstractParameter
`defaultValue, description, get, name, prefix, set, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositeParameter

    public CompositeParameter(java.lang.Class<T> type,
                              java.lang.String prefix,
                              java.lang.String name,
                              org.apache.hadoop.conf.Configuration jobConf,
                              T defaultValue,
                              java.lang.String description)

Method Detail

### createParameters

    public void createParameters(java.lang.String prefix,
                                 org.apache.hadoop.conf.Configuration jobConf)

  Description copied from interface: `Parametered`
  EXPERT: consumers should never have to call this method. It would be friendly visible to `Parametered.ParameteredGeneralizations` if java supported it. Calling this method should create a new list of parameters and is called

  Specified by:
    `createParameters` in interface `Parametered`
  Overrides:
    `createParameters` in class `AbstractParameter<T extends Parametered>`
  Parameters:
    `prefix` - ends with a dot if not empty.
    `jobConf` - configuration used for retrieving values
  See Also:
    `invoking method`, `invoking method`

### getParameters

    public java.util.Collection<Parameter<?>> getParameters()

  Specified by:
    `getParameters` in interface `Parametered`
  Overrides:
    `getParameters` in class `AbstractParameter<T extends Parametered>`

### configure

    public void configure(org.apache.hadoop.conf.Configuration jobConf)

  Specified by:
    `configure` in interface `Parametered`
  Overrides:
    `configure` in class `AbstractParameter<T extends Parametered>`

### setStringValue

    public void setStringValue(java.lang.String className)

  Parameters:
    `className` - value string representation

### getStringValue

    public java.lang.String getStringValue()

  Specified by:
    `getStringValue` in interface `Parameter<T extends Parametered>`
  Overrides:
    `getStringValue` in class `AbstractParameter<T extends Parametered>`
  Returns:
    value string representation of current value

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.